function Zone28BookOpenPage(pageNum)

    if game_state.zone28book_page == nil
    then
        game_state.zone28book_page = 0;
    end
    
    local old_page = game_state.zone28book_page;
    
    game_state.zone28book_page = pageNum;
    
    if (old_page == game_state.zone28book_page)
    then
        return
    end

    local set_page_visible = function(obj_name, visibility)
        local target_opacity = 1.
        if not visibility then
            target_opacity = 0.
        end
        play_field:GetObject(obj_name):ChangeOpacity(play_field:GetObject(obj_name):GetOpacity(), target_opacity, 0.5)
    end

    zone_table_book.arrow_l:Go()
    zone_table_book.arrow_r:Go()
    if game_state.zone28book_page == 0 then
        set_page_visible('page1', true)
        set_page_visible('page2', true)
        set_page_visible('page3', false)
        set_page_visible('page4', false)
        set_page_visible('page5', false)
        set_page_visible('page6', false)
        set_page_visible('page7', false)
        set_page_visible('page8', false)
        set_page_visible('page9', false)
		set_page_visible('cards', false)
        zone_table_book.arrow_l:Stop()
    elseif game_state.zone28book_page == 1 then
        set_page_visible('page1', false)
        set_page_visible('page2', false)
        set_page_visible('page3', true)
        set_page_visible('page4', true)
        set_page_visible('page5', false)
        set_page_visible('page6', false)
        set_page_visible('page7', false)
        set_page_visible('page8', false)
        set_page_visible('page9', false)
		set_page_visible('cards', false)
        
        if not HasGameState('TaskComplete', 'FindInfoAboutDoll') then
            AddGameState('TaskComplete', 'FindInfoAboutDoll')
			game_state.ignore_on_highlight['area_table_book'] = true
			if HasGameState('ObjectClicked', 'data/Scenes/29_Daughter_Room_Main.lua(area_c_doll)') then
				RemoveGameState('ObjectClicked', 'data/Scenes/29_Daughter_Room_Main.lua(area_c_doll)')
			end
        end

    elseif game_state.zone28book_page == 2 then
        set_page_visible('page1', false)
        set_page_visible('page2', false)
        set_page_visible('page3', false)
        set_page_visible('page4', false)
        set_page_visible('page5', true)
        set_page_visible('page6', true)
        set_page_visible('page7', false)
        set_page_visible('page8', false)
        set_page_visible('page9', false)
		set_page_visible('cards', false)
    elseif game_state.zone28book_page == 3 then
        set_page_visible('page1', false)
        set_page_visible('page2', false)
        set_page_visible('page3', false)
        set_page_visible('page4', false)
        set_page_visible('page5', false)
        set_page_visible('page6', false)
        set_page_visible('page7', true)
        set_page_visible('page8', true)
        set_page_visible('page9', false)
		set_page_visible('cards', false)
    elseif game_state.zone28book_page == 4 then
        set_page_visible('page1', false)
        set_page_visible('page2', false)
        set_page_visible('page3', false)
        set_page_visible('page4', false)
        set_page_visible('page5', false)
        set_page_visible('page6', false)
        set_page_visible('page7', false)
        set_page_visible('page8', false)
        set_page_visible('page9', true)
		set_page_visible('cards', true)
        zone_table_book.arrow_r:Stop()
    end

end
--------------------------------------------------------------------------------
-- CLEAR_ON_SAVE_BEGIN
-- Do not edit code listed below (generated by the editor on each save)
function LoadData(screen)
	local anim = CreateAnimation('data/Texture/Scenes/28_Master_Room/Zone_Main/Zoom_Table/Zoom_Book/BG_Book.jpg',0,0,1024,768,1,0)
	anim:SetHotSpot(512,384)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('BG_Book',anim,512,384,200,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/28_Master_Room/Zone_Main/Zoom_Table/Zoom_Book/Pages/page1.JPG',0,0,408,672,1,0)
	anim:SetHotSpot(204,336)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('page1',anim,300,396,201,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/28_Master_Room/Zone_Main/Zoom_Table/Zoom_Book/Pages/page2.JPG',0,0,432,699,1,0)
	anim:SetHotSpot(216,349)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('page2',anim,726,377,201,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/28_Master_Room/Zone_Main/Zoom_Table/Zoom_Book/Pages/page3.JPG',0,0,408,672,1,0)
	anim:SetHotSpot(204,336)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('page3',anim,300,396,202,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/28_Master_Room/Zone_Main/Zoom_Table/Zoom_Book/Pages/page4.JPG',0,0,432,699,1,0)
	anim:SetHotSpot(216,349)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('page4',anim,726,377,202,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/28_Master_Room/Zone_Main/Zoom_Table/Zoom_Book/Pages/page5.JPG',0,0,408,672,1,0)
	anim:SetHotSpot(204,336)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('page5',anim,300,396,203,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/28_Master_Room/Zone_Main/Zoom_Table/Zoom_Book/Pages/page6.JPG',0,0,432,699,1,0)
	anim:SetHotSpot(216,349)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('page6',anim,725,377,203,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/28_Master_Room/Zone_Main/Zoom_Table/Zoom_Book/Pages/page7.JPG',0,0,408,672,1,0)
	anim:SetHotSpot(204,336)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('page7',anim,300,396,204,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/28_Master_Room/Zone_Main/Zoom_Table/Zoom_Book/Pages/page8.JPG',0,0,432,699,1,0)
	anim:SetHotSpot(216,349)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('page8',anim,724,377,204,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/28_Master_Room/Zone_Main/Zoom_Table/Zoom_Book/Pages/page9.JPG',0,0,408,672,1,0)
	anim:SetHotSpot(204,336)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('page9',anim,300,395,205,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/28_Master_Room/Zone_Main/Zoom_Table/Zoom_Book/cards.png',0,0,428,666,1,0)
	anim:SetHotSpot(214,333)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('cards',anim,729,366,206,0,1,1)
end

function FreeData(screen)
end
-- CLEAR_ON_SAVE_END
